/*
** Module   : LegacyTable.java
** Abstract : Annotation used to set the legacy table name for a DMO class.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 CA  20131015 Created initial version.
*/

package com.goldencode.p2j.persist;

import java.lang.annotation.*;

/**
 * Annotation definition to mark a DMO implementation class with its legacy table name.
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface LegacyTable
{
   /** The name of the legacy table associated with the DMO implementation class. */
   String name();
}
